View Issue Details

IDProjectCategoryView StatusLast Update
0012856MediaMonkey (current)DLNA/UPnPpublic2015-09-25 18:08
ReporterLudek Assigned To 
PriorityimmediateSeveritymajorReproducibilityunable to reproduce
Status closedResolutionfixed 
Product Version4.1.9 
Target Version4.1.9Fixed in Version4.1.9 
Summary0012856: Build 1758+ does not start for some users (Play to MM renderer crashes MM)
DescriptionAs reported some users are experiencing crash after start.

The workaround for them is to rename UPnP.dll to UPnP.dll.off.
There was a tiny change in the interface and I forgot to increase version number of UPnP.dll for the compatibility reasons.
For those users (most probably) the old version of the DLL from previous installs somehow wasn't replaced (causing the crash).

Solution is to increase the version number of UPnP.dll (that runs the already implemented compatibility check).

Additional Informationhttp://www.mediamonkey.com/forum/viewtopic.php?f=6&t=82224&start=15#p414123
INQ-989-54823
TagsNo tags attached.
Fixed in build1761

Activities

Ludek

2015-09-22 15:24

developer   ~0042959

Last edited: 2015-09-22 15:33

View 3 revisions

Fixed in build 1760 (increased the version number of the UPnP.dll)

More info:
http://www.mediamonkey.com/forum/viewtopic.php?f=6&t=82224&p=414294#p414294

peke

2015-09-22 18:35

developer   ~0042966

Verified 1760
Tested with:
- MMW started
- Service installed
- Reboot while service installed before MMW is even stated
- both x86 and x64

Ludek

2015-09-23 08:07

developer   ~0042968

Last edited: 2015-09-23 08:19

View 2 revisions

Users are reporting that the issue still happens with 1760:
http://www.mediamonkey.com/forum/viewtopic.php?f=6&t=82224&p=414294#p414331

Posted updated DLL for testing.

Ludek

2015-09-23 09:09

developer   ~0042969

Last edited: 2015-09-23 09:18

View 2 revisions

Waiting for one more confirm: http://www.mediamonkey.com/forum/viewtopic.php?f=6&t=82224&start=45
But I think I got it.

Note that I was finally able to replicate the crash using WMP's 'Play to' -> MediaMonkey Renderer

Ludek

2015-09-23 09:17

developer   ~0042970

Fixed in 1761

peke

2015-09-23 18:49

developer   ~0042973

Verified 1761 same as with 0012856:0042966

rusty

2015-09-25 18:08

administrator   ~0042997

Confirmed by forum users.